#include "gis.h"
#include "glob.h"
/****************************************************************
x() easting at center of column
y() northing at center of row

****************************************************************/

extern double G_col_to_easting();
extern double G_row_to_northing();

x_x (argc, argv, cell, ncols)
    double *argv[];
    register double *cell;
    register int ncols;
{
    double x;

    x = G_col_to_easting (0.5, &current_region);
    while (ncols-- > 0)
    {
	*cell++ = x;
	x += current_region.ew_res;
    }
}

n_x(n,name) char *name;
{
    if (n == 0) return 1;
    fprintf (stderr, "%s - ",name);
    fprintf (stderr, "too many arguments specified. ");
    fprintf (stderr, "usage: %s()\n",name);
    return 0;
}

x_y (argc, argv, cell, ncols)
    double *argv[];
    register double *cell;
    register int ncols;
{
    double y;

    y = G_row_to_northing (current_row + 0.5, &current_region);
    while (ncols-- > 0)
    {
	*cell++ = y;
    }
}

n_y(n,name) char *name;
{
    if (n == 0) return 1;
    fprintf (stderr, "%s - ",name);
    fprintf (stderr, "too many arguments specified. ");
    fprintf (stderr, "usage: %s()\n",name);
    return 0;
}
