/* sort an array of CELL */
#include "gis.h"

sort_cell (array, n, order)
    DCELL array[];
{
    int ascending();
    int descending();

    if (order > 0)
	qsort (array, n, sizeof(DCELL), ascending);
    else
	qsort (array, n, sizeof(DCELL), descending);
}
static ascending (a ,b)
    DCELL *a, *b;
{
    if(G_is_d_null_value(a)) return 1;
    if(G_is_d_null_value(b)) return -1;
    return (*a - *b) ;
}
static descending (a ,b)
    DCELL *a, *b;
{
    if(G_is_d_null_value(a)) return -1;
    if(G_is_d_null_value(b)) return 1;
    return (*b - *a) ;
}
